CREATE TABLE [VS4TComInput](
	[TCmINo] [nvarchar](30) NOT NULL,
	[TCmIMode] [smallint] NULL,
	[TCmIDate] [datetime] NULL,
	[TCmITPrjCode] [nvarchar](30) NULL,
	[TCmITBraCode] [nvarchar](30) NULL,
	[TCmISaveFrom] [smallint] NULL,
	[TCmIRefNo] [nvarchar](30) NULL,
	[TCmIRefDate] [datetime] NULL,
	[TCmITARNCode] [nvarchar](30) NULL,
	[TCmICustomerName] [nvarchar](200) NULL,
	[TCmITotalSale] [money] NULL,
	[TCmIComBase] [money] NULL,
	[TCmICommission] [money] NULL,
	[TCmIDescription] [nvarchar](255) NULL,
	[TCmICreateBy] [nvarchar](140) NULL,
	[TCmICreateDate] [datetime] NULL,
	[TCmIEditCode] [nvarchar](30) NULL,
	[TCmIEditBy] [nvarchar](140) NULL,
	[TCmIEditDate] [datetime] NULL,
	[TCmIConfirmStatus] [smallint] NULL,
	[TCmIConfirmBy] [nvarchar](140) NULL,
	[TCmIConfirmDate] [datetime] NULL,
	[TCmIApproveStatus] [smallint] NULL,
	[TCmIApproveBy] [nvarchar](140) NULL,
	[TCmIApproveDate] [datetime] NULL,
	[TCmIApproveNote] [nvarchar](80) NULL,
	[TCmIRevision] [smallint] NULL,
	[TCmICancelStatus] [smallint] NULL,
	[TCmICancelNo] [nvarchar](30) NULL,
	[TCmICancelBy] [nvarchar](140) NULL,
	[TCmICancelDate] [datetime] NULL,
	[TCmICancelNote] [nvarchar](80) NULL,
	[TCmIFlag1] [smallint] NULL,
	[TCmIFlag2] [smallint] NULL,
	[TCmIFlag3] [datetime] NULL,
 CONSTRAINT [PK_VS4TComInput] PRIMARY KEY CLUSTERED 
(
	[TCmINo] ASC
) ON [PRIMARY]
) ON [PRIMARY]

GO

